Add User to Team

View as Markdown

Invites a user (specified using the email_address parameter) to your Team. If the user does not currently have a Dropbox Sign Account, a new one will be created for them. If a user is already a part of another Team, a team_invite_failed error will be returned.

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:)>.

OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

team_idstringOptional
The id of the team.

Request

This endpoint expects an object.
account_idstringOptional

account_id or email_address is required. If both are provided, the account id prevails.

Account id of the user to invite to your Team.

email_addressstringOptionalformat: "email"

account_id or email_address is required, If both are provided, the account id prevails.

Email address of the user to invite to your Team.

roleenumOptional

A role member will take in a new Team.

NOTE: This parameter is used only if team_id is provided.

Allowed values:

Response headers

X-RateLimit-Limitinteger
The maximum number of requests per hour that you can make.
X-RateLimit-Remaininginteger
The number of requests remaining in the current rate limit window.
X-Ratelimit-Resetinteger
The Unix time at which the rate limit will reset to its maximum.

Response

successful operation
teamobject
Contains information about your team and its members
warningslist of objects
A list of warnings.

Errors

4XX
Client Request Error